PHP_Parser (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.template.PHP_Parser
/parser/Parser.php at line 48

# Class PHP_Parser

    PHP_Parser

public class PHP_Parser

Enter description here...

Field Summary
final int | ERROR_NODRIVER
final int | ERROR_NOINPUT
final int | ERROR_NOTINITIALIZED
private mixed | $_parser
private mixed | $_tokenizer

Method Summary
static PHP_Parser | factory(mixed parser, mixed tokenizer) Choose the parser and tokenizer
static boolean | isIncludeable(string path)
static array| | parse(mixed string, mixed options, string name) Parse a stringparses a php file,
void | parseString(mixed php, mixed tokenoptions)
void | raiseError(mixed msg, mixed code, mixed params)
bool | setParser(mixed parser, string|object )
PEAR_Error|false | setTokenizer(mixed tokenizer, string|object )
PEAR_Error|false | setTokenizerOptions(mixed php, array options, string input)
static array| | staticParseFile(mixed file, mixed options, string name, false|string false) Parse a file with wddx caching options.

## Field Detail

/parser/Parser.php at line 49

### ERROR_NODRIVER

`public final int ERROR_NODRIVER = 1`

/parser/Parser.php at line 51

### ERROR_NOINPUT

`public final int ERROR_NOINPUT = 3`

/parser/Parser.php at line 50

### ERROR_NOTINITIALIZED

`public final int ERROR_NOTINITIALIZED = 2`

/parser/Parser.php at line 52

### _parser

`private mixed $_parser`

/parser/Parser.php at line 53

### _tokenizer

`private mixed $_tokenizer`

## Method Detail

/parser/Parser.php at line 60

### factory

`public static PHP_Parser factory(mixed parser, mixed tokenizer)`

Choose the parser and tokenizer

/parser/Parser.php at line 155

### isIncludeable

`public static boolean isIncludeable(string path)`

Parameters:
  path - relative or absolute include path

/parser/Parser.php at line 243

### parse

`public static array| parse(mixed string, mixed options, string name)`

Parse a string

parses a php file,

Parameters:
  name - of file to parse
Returns:
  object PEAR_Error should return an array of includes and classes.. will grow...

/parser/Parser.php at line 271

### parseString

`public void parseString(mixed php, mixed tokenoptions)`

/parser/Parser.php at line 144

### raiseError

`public void raiseError(mixed msg, mixed code, mixed params)`

/parser/Parser.php at line 73

### setParser

`public bool setParser(mixed parser, string|object )`

Throws:
  PHP_Parser_Exception

/parser/Parser.php at line 101

### setTokenizer

`public PEAR_Error|false setTokenizer(mixed tokenizer, string|object )`

/parser/Parser.php at line 134

### setTokenizerOptions

`public PEAR_Error|false setTokenizerOptions(mixed php, array options, string input)`

Parameters:
  input - to parse
  options - for the tokenizer

/parser/Parser.php at line 180

### staticParseFile

`public static array| staticParseFile(mixed file, mixed options, string name, false|string false)`

Parse a file with wddx caching options.

parses a php file,

Parameters:
  name - of file to parse
  false - = no caching, '' = write to same directory, '/some/dir/' - cache directory
Returns:
  object PEAR_Error should return an array of includes and classes.. will grow...

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr